<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/ont.php';
date_default_timezone_set('Asia/Rangoon'); 
session_start();
$database = new Database();
$db = $database->getConnection();
 
$ont = new ONT($db);
$data = json_decode(file_get_contents("php://input"));

$ont->id_no = $data->id_no;
$ont->ont_snno = $data->ont_snno;
$ont->mme_id = $data->mme_id;
$ont->pppoe_name = $data->pppoe_name;
$ont->ont_password = $data->ont_password;
$ont->city = $data->city;
$ont->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$ont->entry_date_time = date("Y-m-d H:i:s");
if($data->id){
	$ont->id = $data->id;
	if($ont->update()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($ont->exist()){
        $msg_arr = array(
            "message" => "duplicate"
        );
    }else if($ont->create()){
		$msg_arr = array(
			"message" => "created"
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}
}
echo json_encode($msg_arr);
?>	